package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 区域表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_area")
public class SysArea extends Model<SysArea> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Integer id;
    /**
     * 名称
     */
    @TableField("name_")
    private String name;
    /**
     * 编码
     */
    @TableField("code_")
    private Integer code;
    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 是否删除  -1：已删除  0：正常
     */
    @TableField("del_flag_")
    private String delFlag;
    /**
     * 父节点编号
     */
    @TableField("parent_organ_id_")
    private Integer parentOrganId;


    public Integer getId() {
        return id;
    }

    public SysArea setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public SysArea setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getCode() {
        return code;
    }

    public SysArea setCode(Integer code) {
        this.code = code;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SysArea setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public SysArea setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public SysArea setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public Integer getParentOrganId() {
        return parentOrganId;
    }

    public SysArea setParentOrganId(Integer parentOrganId) {
        this.parentOrganId = parentOrganId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysArea{" +
        ", id=" + id +
        ", name=" + name +
        ", code=" + code +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", delFlag=" + delFlag +
        ", parentOrganId=" + parentOrganId +
        "}";
    }
}
